org.keycloak.services.resources

## Class PublicRealmResource

- java.lang.Object
- - org.keycloak.services.resources.PublicRealmResource

-     public class PublicRealmResource
      extends Object

  Resource class for public realm information
  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static org.jboss.logging.Logger` | `logger`
    `protected RealmModel` | `realm`
    `protected org.jboss.resteasy.spi.HttpRequest` | `request`
    `protected org.jboss.resteasy.spi.HttpResponse` | `response`
    `protected javax.ws.rs.core.UriInfo` | `uriInfo`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PublicRealmResource(RealmModel realm)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `javax.ws.rs.core.Response` | `accountPreflight()` CORS preflight
    `PublishedRealmRepresentation` | `getRealm()` Public information about the realm.
    `static PublishedRealmRepresentation` | `realmRep(RealmModel realm, javax.ws.rs.core.UriInfo uriInfo)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### logger

          protected static final org.jboss.logging.Logger logger

    - #### uriInfo

          @Context
          protected javax.ws.rs.core.UriInfo uriInfo

    - #### request

          @Context
          protected org.jboss.resteasy.spi.HttpRequest request

    - #### response

          @Context
          protected org.jboss.resteasy.spi.HttpResponse response

    - #### realm

          protected RealmModel realm

  - ### Constructor Detail

    - #### PublicRealmResource

          public PublicRealmResource(RealmModel realm)

  - ### Method Detail

    - #### accountPreflight

          @Path(value="/")
          @OPTIONS
          public javax.ws.rs.core.Response accountPreflight()

      CORS preflight
      Returns:

    - #### getRealm

          @GET
          @Produces(value="application/json")
          public PublishedRealmRepresentation getRealm()

      Public information about the realm.
      Returns:

    - #### realmRep

          public static PublishedRealmRepresentation realmRep(RealmModel realm,
                                              javax.ws.rs.core.UriInfo uriInfo)

Copyright © 2014. All Rights Reserved.